Bug 1251015 - evemu-play does not play back accurately
evemu-play does not play back accurately
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: evemu (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Benjamin Tissoires
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-06 08:21 EDT by Richard Geary
Modified: 2015-10-31 22:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: evemu-2.2.0-2.20150818giteba96a4.fc22 evemu-2.2.0-2.20150818giteba96a4.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-14 02:56:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
2 scroll events (41.41 KB, text/plain)
2015-08-06 08:21 EDT, Richard Geary
no flags Details
Two finger scrolling (42.71 KB, text/plain)
2015-08-23 11:58 EDT, Richard Geary
no flags Details

  None (edit)
Description Richard Geary 2015-08-06 08:21:46 EDT
Created attachment 1059895 [details]
2 scroll events

Description of problem:
I recorded 2 scroll events.  In the ememu-record file, I see touchpad events from 0-0.85s and from 1.83-2.58s.  However when I play back with evemu-play, only the first scroll appears to occur.

Version-Release number of selected component (if applicable):
libinput-0.21.0-1

How reproducible:
Every time you play the attached file

Steps to Reproduce:
1. Get libinput device for Elan touchpad
2. sleep 1; evemu-play <touchpad device> < two-finger-scrolling-small.events
3. Quickly alt-tab to chrome

Actual results:
scrolls down a few lines after 1s

Expected results:
scrolls down a few lines after 1s, scrolls down a few more lines after 2s

Additional info:
Comment 1 Peter Hutterer 2015-08-06 21:05:34 EDT
funny timing, I observed that yesterday too. Note that evemu offsets the events to a 0 delta, so if you start a recording but don't touch the device for 10s, the replay will still start immediately. This is why the alt-tab approach to testing is a bit risky, you're likely to always miss the events. Better to use sleep 2; sudo evemu-play ....

That aside: it is definitely a bug, fix is on the list, will feed down to Fedora soonish:
http://lists.freedesktop.org/archives/input-tools/2015-August/001193.html
Comment 2 Benjamin Tissoires 2015-08-18 09:21:44 EDT
(In reply to Peter Hutterer from comment #1)
> That aside: it is definitely a bug, fix is on the list, will feed down to
> Fedora soonish:
> http://lists.freedesktop.org/archives/input-tools/2015-August/001193.html

This has been pushed yesterday upstream (commit f81aade108adcb84e101b2101b51f82b31f0607d). I'll do a git snapshot for fedora to fix the bug.
Comment 3 Fedora Update System 2015-08-18 09:45:28 EDT
evemu-2.2.0-2.20150818giteba96a4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/evemu-2.2.0-2.20150818giteba96a4.fc22
Comment 4 Fedora Update System 2015-08-18 10:11:26 EDT
evemu-2.2.0-2.20150818giteba96a4.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/evemu-2.2.0-2.20150818giteba96a4.fc23
Comment 5 Fedora Update System 2015-08-19 04:04:26 EDT
Package evemu-2.2.0-2.20150818giteba96a4.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing evemu-2.2.0-2.20150818giteba96a4.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13672/evemu-2.2.0-2.20150818giteba96a4.fc23
then log in and leave karma (feedback).
Comment 6 Richard Geary 2015-08-23 09:22:43 EDT
Is this supposed to be fixed?  Playing back the attached events file with evemu-2.2.0-2.20150818giteba96a4.fc22 still only scrolls once
Comment 7 Richard Geary 2015-08-23 11:58:42 EDT
Created attachment 1066061 [details]
Two finger scrolling

I'm seeing other incorrect artifacts.  The attached recording was made with libinput-0.99.1-1.fc22, and played back with the same.  When I recorded it, I performed a two-finger scroll up and down in a chrome window and it scrolled many lines up (then opened a right-click menu).  When I perform it with evemu-play, it only scrolls one line up.
Comment 8 Peter Hutterer 2015-08-23 19:38:27 EDT
I just took that recording and re-recorded it through a virtual device and the output is almost identical, save for a few timestamps that are off. Though by the end of the recording the time dilation is less than 3ms, so that shouldn't hurt (and it's mostly unavoidable in any case).

Can you confirm this on your box? run evemu-record and replay the sequence and then diff the two files.

also, fwiw, the libinput version won't affect the evemu recording, they are independent. see the diagram at the bottom of http://wayland.freedesktop.org/libinput/doc/latest/reporting_bugs.html
Comment 9 Fedora Update System 2015-10-14 02:56:52 EDT
evemu-2.2.0-2.20150818giteba96a4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-10-31 22:49:58 EDT
evemu-2.2.0-2.20150818giteba96a4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.